summaryrefslogtreecommitdiffstats
path: root/source/a/mdadm
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mdadm')
-rw-r--r--source/a/mdadm/mdadm-3.3.4.tar.sign17
-rwxr-xr-xsource/a/mdadm/mdadm.SlackBuild19
-rw-r--r--source/a/mdadm/slack-desc10
3 files changed, 19 insertions, 27 deletions
diff --git a/source/a/mdadm/mdadm-3.3.4.tar.sign b/source/a/mdadm/mdadm-3.3.4.tar.sign
deleted file mode 100644
index 70e2a5636..000000000
--- a/source/a/mdadm/mdadm-3.3.4.tar.sign
+++ /dev/null
@@ -1,17 +0,0 @@
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2
-
-iQIcBAABCAAGBQJVvwgLAAoJEDnsnt1WYoG5NEwP/00Ip3ScYXglN7Co6/dIcF93
-qrJG8lvFbG5UicqpUcTmSN7yLconU58Zlw9U8tz3sx362BGgVTkHPCq4aKlrXyGS
-HqD+1u+KNSeiz8UIitW22VpOnUuExYO08unwhYEos8LoRXM/MDUZBzE3sjI/UmKp
-G6kCxl8oziJCvLfbUleO+A//ucFihW0Etx/VUqI4Q6CGTxQSDqQkiBXs7VtZv5cU
-UvbDYO39Fj8NRG/JUl21ZdCgPbqQL9ohYmI9v0DkI1dXYe6KsNH/7FbXDGXgfwWl
-soSJeMOjkIoF2dU52HXtDnX1YRr6twX0TCwMQCoJ3b+o6s55TDYA19Kg9xIHXhlG
-8MSxYoP0hoabmdT+Zx2yJ0dD6qTMJCTD/DN4NDRUaK9OY83+1EfX/gOcKiMX7k47
-aPV4dSWBCYRlkjGZz9bK1jN+7AvDIej22QBoxwDZac+x/vUfV8ccwJOZQ08kYZYT
-Gvy4zK6a6gWPj/XaujXm58j4rBBfapvpOQ+gssETDkiug8WCzLEmZnnD/DFbc6Rv
-10Fs4C3hXt6OnrwpyOeP9XmXNDj4tTeYYNL3svbkv0MQXDtgXDoKldohwFs056rw
-5IrDEVvKUuHCfspCNRP4CXN3+/R4p2TwTGrlyPmZTWqSCzVf9B1UnEIMxZ0gGmq/
-AykNvFYvq2+n5RaTWX5M
-=PuYU
------END PGP SIGNATURE-----
diff --git a/source/a/mdadm/mdadm.SlackBuild b/source/a/mdadm/mdadm.SlackBuild
index dff9dd018..84fb053ad 100755
--- a/source/a/mdadm/mdadm.SlackBuild
+++ b/source/a/mdadm/mdadm.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=mdadm
VERSION=${VERSION:-$(echo mdadm-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,9 +36,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-mdadm
@@ -59,7 +68,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf mdadm-$VERSION
tar xvf $CWD/mdadm-$VERSION.tar.xz || exit 1
-cd mdadm-$VERSION
+cd mdadm-$VERSION || exit 1
chown -R root:root .
find . \
diff --git a/source/a/mdadm/slack-desc b/source/a/mdadm/slack-desc
index 984da7f3d..2fb1ada79 100644
--- a/source/a/mdadm/slack-desc
+++ b/source/a/mdadm/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
mdadm: mdadm (manage RAID arrays)
mdadm:
mdadm: mdadm is a utility program for creating, managing, and monitoring
-mdadm: Linux MD (Software RAID) devices. Unlike the older raidtools
+mdadm: Linux MD (Software RAID) devices. Unlike the older raidtools
mdadm: package, mdadm is a single program (which should make it easier to
mdadm: use).
mdadm:
-mdadm: mdadm was written by Neil Brown. Development of mdadm is sponsored
+mdadm: mdadm was written by Neil Brown. Development of mdadm is sponsored
mdadm: by CSE@UNSW (The School of Computer Science and Engineering at
mdadm: The University of New South Wales).
mdadm: